View Issue Details

IDProjectCategoryView StatusLast Update
14923Bug reports[All Projects] Survey designpublic2019-07-05 16:43
ReporterolleharAssigned Tomarkusfluer 
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version4.0.0-beta 
Target Version4.0.0-beta2Fixed in Version4.0.0-beta2 
Summary14923: Need column headers for answer options
Description

Can't save answer options in dual-scale question type

NOTE: This was my error, I tried to save assessment code instead of answer option text. Bug should be changed to: Need column headers.

Steps To Reproduce
  1. Import survey
  2. Edit question
  3. Edit two answer options
  4. Click "save"
  5. Ajax call returns 500:
500: Internal Server Error
Answer option couldn't be saved. Error: Array
(
[assessment_value] => Array
(
[0] => Assessment Value must be a number.
)

)

An internal error occurred while the Web server was processing your request.

Please contact Your Name to report this problem.
Additional Information

Related to test SaveDualScaleAnswerOptionsTest.

TagsNo tags attached.
Complete LimeSurvey version number (& build)develop
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

ollehar

ollehar

2019-05-21 17:54

administrator  

limesurvey_survey_677328.lss (15,173 bytes)
ollehar

ollehar

2019-05-21 18:01

administrator   ~52022

Last edited: 2019-05-21 18:01

View 2 revisions

Unclear column - assessment or text?



Selection_709.png (30,679 bytes)
Selection_709.png (30,679 bytes)
DenisChenu

DenisChenu

2019-05-22 14:32

developer   ~52048

PS : even with clearer column header : need a clean error controller.

ollehar

ollehar

2019-05-22 15:34

administrator   ~52052

Error controller?

DenisChenu

DenisChenu

2019-05-22 16:23

developer   ~52055

error cntrol :) sorry : id there are error in save : must return a clean error :)

Issue History

Date Modified Username Field Change
2019-05-21 17:54 ollehar New Issue
2019-05-21 17:54 ollehar Status new => assigned
2019-05-21 17:54 ollehar Assigned To => markusfluer
2019-05-21 17:54 ollehar File Added: limesurvey_survey_677328.lss
2019-05-21 18:00 ollehar Summary Can't save answer options in dual-scale question type => Need column headers for answer options
2019-05-21 18:00 ollehar Description Updated View Revisions
2019-05-21 18:01 ollehar File Added: Selection_709.png
2019-05-21 18:01 ollehar Note Added: 52022
2019-05-21 18:01 ollehar Note Edited: 52022 View Revisions
2019-05-22 14:32 DenisChenu Note Added: 52048
2019-05-22 15:34 ollehar Note Added: 52052
2019-05-22 16:23 DenisChenu Note Added: 52055
2019-07-05 16:43 markusfluer Status assigned => resolved
2019-07-05 16:43 markusfluer Resolution open => fixed
2019-07-05 16:43 markusfluer Fixed in Version => 4.0.0-beta2